Package com.sun.grid.jsv

## Class ParallelEnvironment

- java.lang.Object
- - com.sun.grid.jsv.ParallelEnvironment

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`

      public final class ParallelEnvironment
      extends java.lang.Object
      implements java.lang.Cloneable, java.io.Serializable

  The ParallelEnvironment object represents the parallel environment settings for a job. It contains the name of the parallel environment to be used and the minimum and maximum number of parallel processes to be started. The minimum and maximum number of processes are set to 1 by default.
  Since:
    6.2u5
  See Also:
    `JobDescription.getParallelEnvironment()`, `JobDescription.setParallelEnvironment(com.sun.grid.jsv.ParallelEnvironment)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParallelEnvironment()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ParallelEnvironment` | `clone()` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getName()` | Get the name of the parallel environment to be used
    `int` | `getRangeMax()` | Get the maximum number of parallel processes to be started for this job.
    `int` | `getRangeMin()` | Get the minimum number of parallel processes to be started for this job.
    `int` | `hashCode()` |
    `void` | `setName​(java.lang.String name)` | Set the name of the parallel environment to be used
    `void` | `setRange​(int val)` | Set the minimum and maximum number of parallel processes to be started for this job to the same value, i.e.
    `void` | `setRange​(int min, int max)` | Set the minimum and maximum number of parallel processes to be started for this job.
    `void` | `setRangeMax​(int max)` | Set the maximum number of parallel processes to be started for this job.
    `void` | `setRangeMin​(int min)` | Set the minimum number of parallel processes to be started for this job.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParallelEnvironment

          public ParallelEnvironment()

  - ### Method Detail

    - #### setName

          public void setName​(java.lang.String name)

      Set the name of the parallel environment to be used
      Parameters:
        `name` - the PE name

    - #### getName

          public java.lang.String getName()

      Get the name of the parallel environment to be used
      Returns:
        the PE name

    - #### getRangeMin

          public int getRangeMin()

      Get the minimum number of parallel processes to be started for this job.
      Returns:
        the minimum number of processes

    - #### getRangeMax

          public int getRangeMax()

      Get the maximum number of parallel processes to be started for this job.
      Returns:
        the maximum number of processes

    - #### setRange

          public void setRange​(int min,
                               int max)

      Set the minimum and maximum number of parallel processes to be started for this job.
      Parameters:
        `min` - the minimum number of processes
        `max` - the maximum number of processes

    - #### setRange

          public void setRange​(int val)

      Set the minimum and maximum number of parallel processes to be started for this job to the same value, i.e. a range of 1.
      Parameters:
        `val` - the minimum and maximum number of processes

    - #### setRangeMin

          public void setRangeMin​(int min)

      Set the minimum number of parallel processes to be started for this job.
      Parameters:
        `min` - the minimum number of processes

    - #### setRangeMax

          public void setRangeMax​(int max)

      Set the maximum number of parallel processes to be started for this job.
      Parameters:
        `max` - the maximum number of processes

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### clone

          public ParallelEnvironment clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`